aboutsummaryrefslogtreecommitdiff
path: root/git-parse-remote.sh
diff options
context:
space:
mode:
authorDan Loewenherz <daniel.loewenherz@yale.edu>2009-04-22 21:46:02 -0400
committerJunio C Hamano <gitster@pobox.com>2009-04-22 19:05:37 -0700
commit7bd93c1c625ce5fa03f0d13d728f34f8ab868991 (patch)
tree5e931912f8778ca8d6115347034041eaa9dc0964 /git-parse-remote.sh
parentb18cc5a3b2f64364d2c7d3560066852728a6c666 (diff)
downloadgit-7bd93c1c625ce5fa03f0d13d728f34f8ab868991.tar.gz
git-7bd93c1c625ce5fa03f0d13d728f34f8ab868991.tar.xz
Convert to use quiet option when available
A minor fix that eliminates usage of "2>/dev/null" when --quiet or -q has already been implemented. Signed-off-by: Dan Loewenherz <daniel.loewenherz@yale.edu> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-parse-remote.sh')
-rwxr-xr-xgit-parse-remote.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-parse-remote.sh b/git-parse-remote.sh
index 695a4094b..a29671986 100755
--- a/git-parse-remote.sh
+++ b/git-parse-remote.sh
@@ -2,7 +2,7 @@
# git-ls-remote could be called from outside a git managed repository;
# this would fail in that case and would issue an error message.
-GIT_DIR=$(git rev-parse --git-dir 2>/dev/null) || :;
+GIT_DIR=$(git rev-parse -q --git-dir) || :;
get_data_source () {
case "$1" in